# Class ZipError

java.lang.Object
java.lang.Throwable
java.lang.Error
java.lang.VirtualMachineError
java.lang.InternalError
java.util.zip.ZipError

All Implemented Interfaces:
  `Serializable`

@Deprecated(since="24", forRemoval=true) public class ZipError extends InternalError
Deprecated, for removal: This API element is subject to removal in a future version.
ZipError is no longer used and is obsolete. `ZipException` should be used instead.
Signals that an unrecoverable error has occurred.

Since:
  1.6
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ZipError(String s)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a ZipError with the given detail message.

## Method Summary

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ZipError

public ZipError(String s)
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a ZipError with the given detail message.

Parameters:
  `s` - the `String` containing a detail message